/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "interact.h"
#include "assert/assert.h"

void entityInteractEntity(
  entity_t *source,
  entity_t *target
) {
  assertNotNull(source, "entityInteractEntity: Source is NULL!");
  assertNotNull(target, "entityInteractEntity: Target is NULL!");

  switch(target->type) {
    case ENTITY_TYPE_SIGN:
      source->state = ENTITY_STATE_TALKING;
      target->state = ENTITY_STATE_TALKING;
      textboxSetText(NULL, target->sign.text);
      return;

    default:
      return;
  }
}

void entityInteractTile(
  entity_t *source,
  tile_t tile
) {
  assertNotNull(source, "entityInteractTile: Source is NULL!");

  switch(tile) {
    case TILE_ID_WATER:
      textboxSetText(NULL, "You cannot swim.");
      source->state = ENTITY_STATE_TALKING;
      return;
    default:
      break;
  }
}